com.dlsc.flexgantt.policy.layer

## Interface IDragInfoPolicy

- All Superinterfaces:
    IPolicy
  All Known Implementing Classes:
    DefaultDragInfoPolicy, TimeGranularityDragInfoPolicy

      public interface IDragInfoPolicy
      extends IPolicy

  A policy used by the drag layer to display information to the user about the current drag location (which is a possible drop candidate).
  Since:
    1.0
  Version:
    $Revision: 1.2 $
  Author:
    Dirk Lemmermann

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDragInfo(TimelineObjectPath path, IGanttChartModel model, IDatelineModel<?> datelineModel, Object dropNode, ITimeSpan dropSpan)` Returns an object that can be used to show information during a drag operation (e.g. time span over which the dragged timeline object hovers).
    `Object` | `getDragInfo(TimelineObjectPath path, IGanttChartModel model, int rowHeight, int y, double capacityUsed)` Returns an object that can be used to show information while the user interactively changes the capacity used value.
    `Object` | `getDragInfo(TimelineObjectPath path, IGanttChartModel model, long timePoint, double percentageComplete)` Returns an object that can be used to show information while the user interactively changes the percentage complete value.

- - ### Method Detail

    - #### getDragInfo

          Object getDragInfo(TimelineObjectPath path,
                             IGanttChartModel model,
                             IDatelineModel<?> datelineModel,
                             Object dropNode,
                             ITimeSpan dropSpan)

      Returns an object that can be used to show information during a drag operation (e.g. time span over which the dragged timeline object hovers). The default implementation returns the timeline object itself.
      Parameters:
        `path` - the path to the dragged timeline object
        `model` - the model to which the dragged timeline object belongs
        `datelineModel` - the model used by the dateline
        `dropNode` - the tree node over which the dragged object hovers
        `dropSpan` - the span over which the dragged object hovers
      Returns:
        an arbitrary object that can contain information relevant for a drag info renderer
      Since:
        1.0

    - #### getDragInfo

          Object getDragInfo(TimelineObjectPath path,
                             IGanttChartModel model,
                             long timePoint,
                             double percentageComplete)

      Returns an object that can be used to show information while the user interactively changes the percentage complete value.
      Parameters:
        `path` - the path to the dragged timeline object
        `model` - the model to which the dragged timeline object belongs
        `timePoint` - the current (grid adjusted) time at the cursor location
        `percentageComplete` - the percentage complete value of the activity object
      Returns:
        an arbitrary object that can contain information relevant for a drag info renderer
      Since:
        1.0

    - #### getDragInfo

          Object getDragInfo(TimelineObjectPath path,
                             IGanttChartModel model,
                             int rowHeight,
                             int y,
                             double capacityUsed)

      Returns an object that can be used to show information while the user interactively changes the capacity used value.
      Parameters:
        `path` - the path to the dragged object
        `model` - the model to which the dragged timeline object belongs
        `rowHeight` - the height of the row in which the drag operation takes place
        `y` - the current y coordinate relative to the coordinate system of the row (0 = bottom of row)
        `capacityUsed` - the capacity used value of the capacity object
      Returns:
        an arbitrary object that can contain information relevant for a drag info renderer
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.